Subject: RE: [MIB-DOCTORS] RE: RFC 3419 (TC for Transport addresses)

From: "Romascanu, Dan \(Dan\)" <[email-masked]>
Date: Thu, 3 Aug 2006 16:24:14 +0300

I agree with Bert. It is far too early to declare 3419 Historic.

Dan

(doctor gown on)

> -----Original Message-----
> From: Wijnen, Bert (Bert) [mailto:[email-masked]] 
> Sent: Thursday, August 03, 2006 4:11 PM
> To: Bill Fenner; Thomas Narten
> Cc: Margaret Wasserman; MIB Doctors (E-mail)
> Subject: [MIB-DOCTORS] RE: RFC 3419 (TC for Transport addresses)
> 
> I guess that 4022 COULD have used the TCs in RFC3419, but 
> they did use the RFC4001 TCs.
> 
> 3419 says about that:
> 
>    3.1.3 INET-ADDRESS-MIB (InetAddressType, InetAddress)
> 
>    The INET-ADDRESS-MIB MIB module [RFC3291] defines the textual
>    conventions InetAddressType and InetAddress to represent Internet
>    network layer endpoints.  Some MIB modules use these textual
>    conventions in conjunction with the InetPortNumber textual 
> convention
>    to represent Internet transport-layer endpoints.  This approach is
>    fine as long as a MIB models protocols or applications that are
>    specific to the Internet suite of transport protocols.  
> For protocols
>    or applications that can potentially use other transport protocols,
>    the use of the definitions contained in this memo is more
>    appropriate.
> 
> So I am not sure we should make 3419 historic. In fact I think not.
> Other viewpoints from any other MIB doctors?
> 
> Bert
> > -----Original Message-----
> > From: Bill Fenner [mailto:[email-masked]]
> > Sent: Thursday, August 03, 2006 14:53
> > To: Thomas Narten
> > Cc: Bert Wijnen; Margaret Wasserman
> > Subject: Re: RFC 3419 (TC for Transport addresses)
> > 
> > 
> > 
> > >IS this document used by anything? Should it be made historic??
> > 
> > This question might better be asked on the 
> [email-masked] list.
> > 
> > >The reason I assume 3419 is irrelevant is because RFC 4022 
> (revised 
> > >TCP MIB for both IPv4 and IPv6) doesn't even refer to it!
> > 
> > AFAIK, the TCs were meant for slightly more generic MIBs ("I am 
> > talking to this other endpoint over FooProto" for a 
> protocol that can 
> > use UDP or TCP or raw Ethernet or ...)
> > 
> >   Bill
> > 
> 
> _______________________________________________
> MIB-DOCTORS mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mib-doctors
> 

_______________________________________________
MIB-DOCTORS mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mib-doctors

---

From: "David B Harrington" <[email-masked]>
Date: Thu, 3 Aug 2006 11:57:17 -0400

I concur. We recently discussed whether to reuse the transport address
TCs from 3419 in the ISMS WG. 
It is way too early to declare these historic.

dbh

> From: Romascanu, Dan (Dan) [mailto:[email-masked]] 
> Sent: Thursday, August 03, 2006 9:24 AM
> To: Wijnen, Bert (Bert); Bill Fenner; Thomas Narten
> Subject: RE: [MIB-DOCTORS] RE: RFC 3419 (TC for Transport addresses)
>